Airwallex
快速启动
- 报名 at airwallex.com 并获取 API 凭据
- 创建终端 输入 管理控制台 参数如下:
- 开始处理 ——适配器预建并准备使用.
概览
Airwalex-付款(全球处理器)
| 供应商 ID | airwallex |
| 类别 | 卡片处理器 |
| 网站 | airwallex.com |
支助行动: Create + Confirm Payment Intent (payments_charge) Status (payments_status) Refund (payments_refund)
认证
方法 : Bearer Token(两阶段)
步骤 1: 检索符号
POST /api/v1/authentication/login
Content-Type: application/json
x-api-key: {api_key}
{}
答复:
{
"token": "eyJ...",
"expires_at": "2024-01-15T11:30:00Z"
}
步骤 2: 用法符号
Authorization: Bearer {token}
配置
所需参数
| 参数 | 说明 |
|---|---|
base_url | 基础 API URL (默认) |
api_key | API 收件凭证的密钥 |
状态映射
| 提供者状况 | 4 工资状况 | 说明 |
|---|---|---|
SUCCEEDED | Charged | |
FAILED | Failure | |
CANCELLED | Failure | |
REQUIRES_CUSTOMER_ACTION | AuthenticationPending | |
(other) | Pending | |
SUCCEEDED | Refunded | |
FAILED | Failure | |
(other) | PartiallyRefunded |
测试
沙盒 URL
https://api-demo.airwallex.com/
测试卡
| 纸牌 | 数目 | 过期 | CVV | 结果 |
|---|---|---|---|---|
| Visa | PROVIDER_TEST_PAN | 任何未来 | 任何 3 数字 | 成功支付 |
| Visa (3DS) | PROVIDER_TEST_PAN | 任何未来 | 任何 3 数字 | 需要 3D Secure 验证 |
| Visa (decline) | PROVIDER_TEST_PAN | 任何未来 | 任何 3 数字 | 已减少 |
| Mastercard | PROVIDER_TEST_PAN | 任何未来 | 任何 3 数字 | 成功支付 |
| Amex | 3400 0000 0000 009 | 任何未来 | 任何 4 数字 | 成功支付 |
API 参考文献
| 方法 | 终点 | 说明 |
|---|---|---|
| POST | /api/v1/authentication/login | |
| POST | /api/v1/pa/payment_intents/create | |
| POST | /api/v1/pa/payment_intents/{id}/confirm | |
| GET | /api/v1/pa/payment_intents/{id} | |
| POST | /api/v1/pa/refunds/create | |
| GET | /api/v1/pa/refunds/{id} |